Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Interface CMCObjectIdentifiers

public interface CMCObjectIdentifiers

Object Identifiers from RFC 5272

Field Summary
`static ASN1ObjectIdentifier` | `id_cct`
`static ASN1ObjectIdentifier` | `id_cct_PKIData`
`static ASN1ObjectIdentifier` | `id_cct_PKIResponse`
`static ASN1ObjectIdentifier` | `id_cmc`
`static ASN1ObjectIdentifier` | `id_cmc_addExtensions`
`static ASN1ObjectIdentifier` | `id_cmc_authData`
`static ASN1ObjectIdentifier` | `id_cmc_batchRequests`
`static ASN1ObjectIdentifier` | `id_cmc_batchResponses`
`static ASN1ObjectIdentifier` | `id_cmc_confirmCertAcceptance`
`static ASN1ObjectIdentifier` | `id_cmc_controlProcessed`
`static ASN1ObjectIdentifier` | `id_cmc_dataReturn`
`static ASN1ObjectIdentifier` | `id_cmc_decryptedPOP`
`static ASN1ObjectIdentifier` | `id_cmc_encryptedPOP`
`static ASN1ObjectIdentifier` | `id_cmc_getCert`
`static ASN1ObjectIdentifier` | `id_cmc_getCRL`
`static ASN1ObjectIdentifier` | `id_cmc_identification`
`static ASN1ObjectIdentifier` | `id_cmc_identityProof`
`static ASN1ObjectIdentifier` | `id_cmc_identityProofV2`
`static ASN1ObjectIdentifier` | `id_cmc_lraPOPWitness`
`static ASN1ObjectIdentifier` | `id_cmc_modCertTemplate`
`static ASN1ObjectIdentifier` | `id_cmc_popLinkRandom`
`static ASN1ObjectIdentifier` | `id_cmc_popLinkWitness`
`static ASN1ObjectIdentifier` | `id_cmc_popLinkWitnessV2`
`static ASN1ObjectIdentifier` | `id_cmc_publishCert`
`static ASN1ObjectIdentifier` | `id_cmc_queryPending`
`static ASN1ObjectIdentifier` | `id_cmc_recipientNonce`
`static ASN1ObjectIdentifier` | `id_cmc_regInfo`
`static ASN1ObjectIdentifier` | `id_cmc_responseInfo`
`static ASN1ObjectIdentifier` | `id_cmc_revokeRequest`
`static ASN1ObjectIdentifier` | `id_cmc_senderNonce`
`static ASN1ObjectIdentifier` | `id_cmc_statusInfo`
`static ASN1ObjectIdentifier` | `id_cmc_statusInfoV2`
`static ASN1ObjectIdentifier` | `id_cmc_transactionId`
`static ASN1ObjectIdentifier` | `id_cmc_trustedAnchors`
`static ASN1ObjectIdentifier` | `id_kp`
`static ASN1ObjectIdentifier` | `id_kp_cmcCA` id-kp-cmcCA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 27 }
`static ASN1ObjectIdentifier` | `id_kp_cmcRA` id-kp-cmcRA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 28 }
`static ASN1ObjectIdentifier` | `id_kp_cmKGA` id-kp-cmKGA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 32 }
`static ASN1ObjectIdentifier` | `id_pkix`

Field Detail

### id_pkix

    public static final ASN1ObjectIdentifier id_pkix

### id_cmc

    public static final ASN1ObjectIdentifier id_cmc

### id_cct

    public static final ASN1ObjectIdentifier id_cct

### id_kp

    public static final ASN1ObjectIdentifier id_kp

### id_cmc_identityProof

    public static final ASN1ObjectIdentifier id_cmc_identityProof

### id_cmc_dataReturn

    public static final ASN1ObjectIdentifier id_cmc_dataReturn

### id_cmc_regInfo

    public static final ASN1ObjectIdentifier id_cmc_regInfo

### id_cmc_responseInfo

    public static final ASN1ObjectIdentifier id_cmc_responseInfo

### id_cmc_queryPending

    public static final ASN1ObjectIdentifier id_cmc_queryPending

### id_cmc_popLinkRandom

    public static final ASN1ObjectIdentifier id_cmc_popLinkRandom

### id_cmc_popLinkWitness

    public static final ASN1ObjectIdentifier id_cmc_popLinkWitness

### id_cmc_identification

    public static final ASN1ObjectIdentifier id_cmc_identification

### id_cmc_transactionId

    public static final ASN1ObjectIdentifier id_cmc_transactionId

### id_cmc_senderNonce

    public static final ASN1ObjectIdentifier id_cmc_senderNonce

### id_cmc_recipientNonce

    public static final ASN1ObjectIdentifier id_cmc_recipientNonce

### id_cct_PKIData

    public static final ASN1ObjectIdentifier id_cct_PKIData

### id_cct_PKIResponse

    public static final ASN1ObjectIdentifier id_cct_PKIResponse

### id_cmc_statusInfo

    public static final ASN1ObjectIdentifier id_cmc_statusInfo

### id_cmc_addExtensions

    public static final ASN1ObjectIdentifier id_cmc_addExtensions

### id_cmc_encryptedPOP

    public static final ASN1ObjectIdentifier id_cmc_encryptedPOP

### id_cmc_decryptedPOP

    public static final ASN1ObjectIdentifier id_cmc_decryptedPOP

### id_cmc_lraPOPWitness

    public static final ASN1ObjectIdentifier id_cmc_lraPOPWitness

### id_cmc_getCert

    public static final ASN1ObjectIdentifier id_cmc_getCert

### id_cmc_getCRL

    public static final ASN1ObjectIdentifier id_cmc_getCRL

### id_cmc_revokeRequest

    public static final ASN1ObjectIdentifier id_cmc_revokeRequest

### id_cmc_confirmCertAcceptance

    public static final ASN1ObjectIdentifier id_cmc_confirmCertAcceptance

### id_cmc_statusInfoV2

    public static final ASN1ObjectIdentifier id_cmc_statusInfoV2

### id_cmc_trustedAnchors

    public static final ASN1ObjectIdentifier id_cmc_trustedAnchors

### id_cmc_authData

    public static final ASN1ObjectIdentifier id_cmc_authData

### id_cmc_batchRequests

    public static final ASN1ObjectIdentifier id_cmc_batchRequests

### id_cmc_batchResponses

    public static final ASN1ObjectIdentifier id_cmc_batchResponses

### id_cmc_publishCert

    public static final ASN1ObjectIdentifier id_cmc_publishCert

### id_cmc_modCertTemplate

    public static final ASN1ObjectIdentifier id_cmc_modCertTemplate

### id_cmc_controlProcessed

    public static final ASN1ObjectIdentifier id_cmc_controlProcessed

### id_cmc_identityProofV2

    public static final ASN1ObjectIdentifier id_cmc_identityProofV2

### id_cmc_popLinkWitnessV2

    public static final ASN1ObjectIdentifier id_cmc_popLinkWitnessV2

### id_kp_cmcCA

    public static final ASN1ObjectIdentifier id_kp_cmcCA

  id-kp-cmcCA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 27 }

### id_kp_cmcRA

    public static final ASN1ObjectIdentifier id_kp_cmcRA

  id-kp-cmcRA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 28 }

### id_kp_cmKGA

    public static final ASN1ObjectIdentifier id_kp_cmKGA

  id-kp-cmKGA OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) kp(3) 32 }

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD